package main

import (
	"be-vpn/internal/server/master"
	"github.com/gin-gonic/gin"
	"log"
)

func main() {
	r := gin.Default()
	r.Use(gin.Recovery())
	r.Static("/static", "./static")
	r.GET("/config", master.Config)
	r.PUT("/used_duration", master.AddUsedDuration)
	r.POST("/register", master.Register)
	r.GET("/list", master.List)
	r.GET("/health", master.Health)

	if err := r.Run(":80"); err != nil {
		log.Fatalf("err: %+v", err)
	}
}
