package main

import (
	"be-vpn/internal/server/slave"
	"be-vpn/internal/task"
	"github.com/gin-gonic/gin"
	"github.com/robfig/cron/v3"
	"log"
)

func main() {
	c := cron.New(cron.WithChain(cron.Recover(cron.DefaultLogger), cron.SkipIfStillRunning(cron.DefaultLogger)))
	if _, err := c.AddFunc("@every 3s", func() {
		task.Register()
	}); err != nil {
		log.Fatalf("err: %+v", err)
	}

	r := gin.Default()
	r.Use(gin.Recovery())
	r.GET("/secret", slave.Secret)

	if err := r.Run(":80"); err != nil {
		log.Fatalf("err: %+v", err)
	}
}
